%define major		0
%define gir_major	1.0
%define libname		%mklibname %{name} %{major}
%define libnamedevel	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		caribou
Version:	0.4.2
Release:	%mkrel 1
Summary:	A simplified in-place on-screen keyboard
Group:		Accessibility
License:	LGPLv2+
URL:		http://live.gnome.org/Caribou
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	python-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	python-gi
BuildRequires:	pkgconfig(pyclutter-1.0)
BuildRequires:	python-at-spi
BuildRequires:	python-virtkey
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:	libjson-glib-devel
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	gobject-introspection-devel
BuildRequires:	pkgconfig(pygobject-3.0)
Requires:	pyatspi

%description
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.

%package	gtk2
Summary:	GTK2 Integration for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	gtk2
GTK2 Integration for %{name}.

%package	gtk3
Summary:	GTK3 Integration for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	gtk3
GTK3 Integration for %{name}.

%package -n	%{libname}
Summary:	Library files for %{name}
Group:		System/Libraries

%description -n %{libname}
Library files for %{name}.

%package -n	%{libnamedevel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedevel}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -f {} ';'

echo "NoDisplay=true" >> %{buildroot}%{_datadir}/applications/caribou.desktop
echo "OnlyShowIn=GNOME;" >> %{buildroot}%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/caribou.desktop
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop || :

%find_lang caribou

%files -f caribou.lang
%doc NEWS README
%{_bindir}/caribou
%{_bindir}/caribou-preferences
%{_datadir}/caribou
%{_datadir}/antler
%{_datadir}/dbus-1/services/org.gnome.Caribou.Antler.service
%{_libexecdir}/antler-keyboard
%{_datadir}/applications/caribou.desktop
%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
%{_datadir}/glib-2.0/schemas/*
%{py_puresitedir}/caribou

%files gtk2
%{_libdir}/gtk-2.0/modules/libcaribou-gtk-module.so

%files gtk3
%{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Caribou-%{gir_major}.typelib

%files -n %{libnamedevel}
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/Caribou-%{gir_major}.gir


%changelog

* Tue Mar 27 2012 ovitters <ovitters> 0.4.2-1.mga2
+ Revision: 227052
- new version 0.4.2

* Sat Feb 18 2012 tv <tv> 0.4.1-4.mga2
+ Revision: 210483
- there's no reason why library should requires the tool

* Fri Feb 10 2012 tv <tv> 0.4.1-3.mga2
+ Revision: 206894
- fix requires so that it really start (mga#4469)

* Sat Dec 17 2011 misc <misc> 0.4.1-2.mga2
+ Revision: 182897
- add missing requires, thanks nanar for spotting it

* Tue Oct 18 2011 wally <wally> 0.4.1-1.mga2
+ Revision: 156073
- new version 0.4.1

  + ovitters <ovitters>
    - remove unneeded patches

* Tue Sep 27 2011 ovitters <ovitters> 0.4.0-1.mga2
+ Revision: 149174
- new version 0.4.0

* Mon Sep 19 2011 wally <wally> 0.3.92-1.mga2
+ Revision: 145752
- fix file list
- new version 0.3.92

* Tue Sep 06 2011 wally <wally> 0.3.91-1.mga2
+ Revision: 139622
- new version 0.3.91
- split out gir .typelibs to a separate subpackage
- use configure2_5x macro
- add major version check to file list

* Tue Aug 30 2011 colin <colin> 0.3.5-1.mga2
+ Revision: 136470
- BuildRequire: python-gi
- imported package caribou


* Wed Aug 17 2011 Parag Nemade <pnemade AT redhat.com> - 0.3.5-1
- Update to new upstream release 0.3.5

* Tue Jul 05 2011 Parag Nemade <pnemade AT redhat.com> - 0.3.3-1
- Update to new upstream release 0.3.3

* Thu Jun 16 2011 Tomas Bzatek <tbzatek@redhat.com> - 0.3.2-2
- Tweak BuildRequires

* Tue Jun 14 2011 Parag Nemade <pnemade AT redhat.com> - 0.3.2-1
- Update to new upstream release 0.3.2

* Fri May  6 2011 Christopher Aillon <caillon@redhat.com> - 0.2.00-3
- Update scriptlets per packaging guidelines

* Thu May 05 2011 Parag Nemade <pnemade AT redhat.com> - 0.2.00-2
- Caribou now only be shown in GNOME. (rh#698603)
- Add desktop-file-validate for caribou-autostart.desktop
- Add ||: for caribou-autostart.desktop to skip the error.

* Tue Apr  5 2011 Matthias Clasen <mclasen@redhat.com> - 0.2.00-1
- Update to 0.2.00

* Tue Mar 22 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.92-1
- Update to 0.1.92

* Thu Mar 10 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.91-1
- Update to 0.1.91

* Thu Mar 10 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.7-1
- Update to 0.1.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 12 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Wed Jun 16 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-3
- Require pyatspi, not at-spi-python

* Sat May 29 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-2
- Rewrite spec for autotools

* Fri May 28 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Thu Jan 21 2009 Ben Konrath <ben@bagu.org> - 0.0.2-1
- Initial release.
